import React, { Component } from "react";
import "./SwipeableButton.css";
interface SwipeableButtonProps {
    autoWidth?: boolean;
    circle?: boolean;
    disabled?: boolean;
    noAnimate?: boolean;
    width?: number;
    height?: number;
    position?: number;
    text?: string;
    text_unlocked?: string;
    name?: string;
    onSuccess?: () => void;
    onFailure?: () => void;
    sliderColor?: string;
    sliderTextColor?: string;
    sliderIconColor?: string;
    background_color?: string;
    borderRadius?: number;
    /**
     * @deprecated Deprecation Warning: The 'color' prop is deprecated and will be removed in future versions. Please use 'sliderColor' instead.
     */
    color?: string;
}
interface SwipeableButtonState {
    unlocked: boolean;
}
export default class SwipeableButton extends Component<SwipeableButtonProps, SwipeableButtonState> {
    private sliderLeft;
    private isDragging;
    private startX;
    private containerWidth;
    private sliderRef;
    private containerRef;
    constructor(props: SwipeableButtonProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onDrag: (e: MouseEvent | TouchEvent) => void;
    updateSliderStyle: () => void;
    stopDrag: () => void;
    startDrag: (e: React.MouseEvent<HTMLDivElement> | React.TouchEvent<HTMLDivElement>) => void;
    onSwiped: () => void;
    getText: () => string;
    reset: () => void;
    render(): React.JSX.Element;
}
export {};
